#!/bin/bash

[ ! -f "$1" ] && exit 1
out=$(echo $1 | sed 's/\.\(jpg\|png\|jpeg\)$/\.hex/g' )

cat $1 | \
	perl -e 'print join("", map { sprintf("\\x%02x", ord($_)) } split(//, join("", <STDIN>)))' | \
	sed -e "s/.\{96\}/&\n/g" | \
	sed 's/^/             "/g' | \
	sed 's/$/"/g' >$out

